defmodule Facebook do
  use GiveAway.Channel

  def base_url do
    "https://www.facebook.com/sharer/sharer.php"
  end

  def valid_params do
    ~w(u picture title description)
  end

  def parse_param(tuple) do
    case tuple do
      {"url", value} -> {"u", value}
      {"image", value} -> {"picture", value}
      tuple -> tuple
    end
  end
end
