defmodule LinkedIn do
  use GiveAway.Channel

  def base_url do
    "https://linkedin.com/shareArticle"
  end

  def valid_params do
    ~w(url title mini summary source)
  end

  def parse_param(tuple) do
    case tuple do
      {"description", value} -> {"summary", value}
      {"image", value} -> {"mini", value}
      tuple -> tuple
    end
  end
end
