defmodule HackerNews do
  use GiveAway.Channel

  def base_url do
    "https://news.ycombinator.com/submitlink"
  end

  def valid_params do
    ~w(u t)
  end

  def parse_param(tuple) do
    case tuple do
      {"url", value} -> {"u", value}
      {"title", value} -> {"t", value}
      tuple -> tuple
    end
  end
end
