defmodule Pinterest do
  use GiveAway.Channel

  def base_url do
    "https://pinterest.com/pin/create/bookmarklet"
  end

  def valid_params do
    ~w(url media description)
  end

  def parse_param(tuple) do
    case tuple do
      {"image", value} -> {"media", value}
      tuple -> tuple
    end
  end
end
