defmodule Tumblr do
  use GiveAway.Channel

  def base_url do
    "https://www.tumblr.com/widgets/share/tool?posttype=link"
  end

  def valid_params do
    ~w(canonicalUrl posttype url title caption)
  end

  def parse_param(tuple) do
    case tuple do
      {"url", value} -> {"canonicalUrl", value}
      {"description", value} -> {"caption", value}
      tuple -> tuple
    end
  end
end
