defmodule Twitter do
  use GiveAway.Channel

  def base_url do
    "https://twitter.com/intent/tweet"
  end

  def valid_params do
    ~w(url text hashtags via related in_reply_to)
  end

  def parse_param(tuple) do
    case tuple do
      {"title", value} -> {"text", value}
      tuple -> tuple
    end
  end
end
